Creates a new equipment_brand object
Request Information
URI Parameters :
None.
Body Parameters :
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "fdc2f6f5-d3cf-49f9-975c-75b13c25d628",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "c7e374fd-09ef-4a10-974c-1b50b2d7b6b6",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "ee25656e-d5af-444c-91e8-473139caf9a8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "85ed81af-ac56-41ef-a88c-4219d2f81061",
"db_currency_id": "af7a5eda-6fad-426d-8c78-074c0ecc4ef4",
"db_language_id": "a2843360-e7ef-41d0-9c2e-4dacdc8bffb9",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-27T16:11:55.7155357+00:00"
},
"modified_dateutc": "2026-10-27T16:11:55.7155357+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.